do
    if STTS ~= nil then
        STTS.DIRECTORY = "C:\\Program Files\\DCS-SimpleRadio-Standalone"
    end
end

do
    Elint_blue = HoundElint:create(coalition.side.BLUE)
    Elint_blue:systemOn()

    
    Elint_blue:addPlatform("ELINT_C-130")

    Elint_blue:addAdminRadioMenu()


    tts_args = {
        freq = "281.000,35.000",
        modulation = "AM,FM",
        gender = "female"
    }
    atis_args = {
        freq = 265.000,
        NATO = true
    }

    Elint_blue:configureController(tts_args)
    Elint_blue:configureAtis(atis_args)

    Elint_blue:enableController(true)
    Elint_blue:enableATIS()
    Elint_blue:enableMarkers(HOUND.MARKER.DIAMOND)
end

do
    testing = {}
    function testing.addTransmitter(args)
        args["houndCommsInstance"]:setTransmitter(args["unit_name"])
    end

    function testing.removeTransmitter(houndCommsInstance)
        houndCommsInstance:removeTransmitter()
    end

    function testing.removePlatform(args)
        args["houndInstance"]:removePlatform(args["unit_name"])
    end

    function testing.getContacts(hound)
        env.info(mist.utils.tableShow(hound:getContacts()))
    end

    function testing.spawnPlatform(hound)
        env.info("No. platforms before: " .. length(hound.platform))
        local newGrp = mist.cloneGroup("ELINT_C-130_SPAWN",true)
        local newUnit = newGrp.units[1].name
        env.info("MIST Spawn - Grp:" .. newGrp.name .. " Unit: " .. newUnit)
        hound:addPlatform(newUnit)
        env.info("No. platforms after: " .. length(hound.platform))
    end

    testing.Menu = missionCommands.addSubMenu("Hound Testing")
    missionCommands.addCommand("Destroy Radar",testing.Menu,Unit.destroy,Unit.getByName("SA-3 P-19"))
    missionCommands.addCommand("Destroy C-130",testing.Menu,Unit.destroy,Unit.getByName("ELINT_C-130"))
    missionCommands.addCommand("Remove C-130",testing.Menu,testing.removePlatform,{houndInstance=Elint_blue,unit_name="ELINT_C-130"})
    missionCommands.addCommand("Spawn platform",testing.Menu,testing.spawnPlatform,Elint_blue)
    missionCommands.addCommand("Add transmitter",testing.Menu,testing.addTransmitter,{houndCommsInstance=Elint_blue.controller,unit_name="Kutaisi_Elint"})
    missionCommands.addCommand("Destroy transmitter",testing.Menu,Unit.destroy,	Unit.getByName("Kutaisi_Elint"))
    missionCommands.addCommand("Remove transmitter",testing.Menu,testing.removeTransmitter,Elint_blue.controller)
    missionCommands.addCommand("Get Contacts",testing.Menu,testing.getContacts,Elint_blue)

end