do
--create an instance of the IADS
RedIADS = SkynetIADS:create(RedIADS)

--add all units with unit name beginning with 'EW' to the IADS:
RedIADS:addEarlyWarningRadarsByPrefix('EW')

--add all groups begining with group name 'SAM' to the IADS:
RedIADS:addSAMSitesByPrefix('RSAM')

---Red Command---------------------------------------------------------------------------------------------------------------

local commandCenter = StaticObject.getByName("Red-Command-Center-1")
local comPowerSource = StaticObject.getByName("Red-Command-Power-1")
local comConnectionNode = StaticObject.getByName("Red-Command-Node-1")
RedIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource):addConnectionNode(comConnectionNode)

---Fixed SAMS---------------------------------------------------------------------------------------------------------------

RedIADS:getSAMSiteByGroupName('RSAM-SA-2-1'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-2'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-2-3'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

RedIADS:getSAMSiteByGroupName('RSAM-SA-10-1'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
RedIADS:getSAMSiteByGroupName('RSAM-SA-10-2'):setActAsEW(true):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)


---Mobile SAMS---------------------------------------------------------------------------------------------------------------

RedIADS:getSAMSiteByGroupName('RSAM-SA-6-1'):setActAsEW(false):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

---EWRs----------------------------------------------------------------------------------------------------------------------

RedIADS:getEarlyWarningRadars()

RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-1')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-2')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-3')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-4')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-5')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-6')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-7')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-8')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-9')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-10')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-11')
RedIADS:getEarlyWarningRadarByUnitName('EW-EWR-12')

-----------------------------------------------------------------------------------------------------------------------------

RedIADS:addRadioMenu(true)

RedIADS:activate(true)

--BLUE SIDE-----------------------------------------------------------------------------------------------------------------------------

--create an instance of the IADS
BlueIADS = SkynetIADS:create(BlueIADS)

--add all units with unit name beginning with 'EW' to the IADS:
BlueIADS:addEarlyWarningRadarsByPrefix('BEW')

--add all groups begining with group name 'SAM' to the IADS:
BlueIADS:addSAMSitesByPrefix('BSAM')

---Blue Command---------------------------------------------------------------------------------------------------------------

local commandCenter = StaticObject.getByName("Blue-Command-Center-1")
local comPowerSource = StaticObject.getByName("Blue-Command-Power-1")
local comConnectionNode = StaticObject.getByName("Blue-Command-Node-1")
BlueIADS:addCommandCenter(commandCenter):addPowerSource(comPowerSource):addConnectionNode(comConnectionNode)

---Fixed SAMS---------------------------------------------------------------------------------------------------------------

BlueIADS:getSAMSiteByGroupName('BSAM-NASAMS-1'):setActAsEW(false):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

---Mobile SAMS---------------------------------------------------------------------------------------------------------------

BlueIADS:getSAMSiteByGroupName('BSAM-SA-11-1'):setActAsEW(false):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)
BlueIADS:getSAMSiteByGroupName('BSAM-SA-11-2'):setActAsEW(false):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DCS_AI)

---EWRs----------------------------------------------------------------------------------------------------------------------

BlueIADS:getEarlyWarningRadars()

BlueIADS:getEarlyWarningRadarByUnitName('BEW-EWR-1')
BlueIADS:getEarlyWarningRadarByUnitName('BEW-EWR-2')
BlueIADS:getEarlyWarningRadarByUnitName('BEW-EWR-3')

---Jammers----------------------------------------------------------------------------------------------------------------------

local jammer = SkynetIADSJammer:create(Unit.getByName('ELINT_C-130'), blueIADS)

jammer:masterArmOn()jammer:addRadioMenu(true)

BlueIADS:addRadioMenu(true)

BlueIADS:activate(true)

end
